Subject: [Fot] TR 6 cooling advice needed.

From: Greg And Alison Blake via Fot <[email-masked]>
Date: Fri, 10 Apr 2015 16:39:54 -0500

I am in the final assemble mode on a rebuild of the central TX enduro crap can TR6. It now has a GP3 cam and 10:1 compression.  Will a stock TR6 radiator be up to the task?  Previously this car had a stock motor and no cooling issues over a full race weekend. I am curious if the increase in compression is going to create more heat than the stock radiator can handle.  Any experience racing with the stock radiator in mid summer Texas weather?

I do plan to add some plumbing from the heater port on the back of the head to an expansion tank with a return line to the water pump intake. 
This will be done with either radiator choice. 

Thanks,

Greg

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive